# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libtdegames
  ${CMAKE_SOURCE_DIR}/libtdegames/highscore
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### ksirtetbase (static) ######################

tde_add_library( ksirtetbase STATIC_PIC AUTOMOC
  SOURCES kzoommainwindow.cpp main.cpp field.cpp piece.cpp highscores.cpp
    factory.cpp gtetris.cpp board.cpp settings.cpp inter.cpp baseprefs.kcfgc
  LINK tdeio-shared
)
